<html>
<head>
<title>Ogre::DefaultHardwareIndexBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">DefaultHardwareIndexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::DefaultHardwareIndexBuffer Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::DefaultHardwareIndexBuffer" --><!-- doxytag: inherits="Ogre::HardwareIndexBuffer" -->
<p>Specialisation of <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> for emulation.  
 <a href="classOgre_1_1DefaultHardwareIndexBuffer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html">OgreDefaultHardwareBufferManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::DefaultHardwareIndexBuffer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1DefaultHardwareIndexBuffer__inherit__graph.gif" border="0" usemap="#Ogre_1_1DefaultHardwareIndexBuffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1DefaultHardwareIndexBuffer_inherit__map" id="Ogre_1_1DefaultHardwareIndexBuffer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract." alt="" coords="25,160,207,189"/><area shape="rect" id="node4" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers." alt="" coords="41,83,191,112"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="73,5,159,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1DefaultHardwareIndexBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a> { <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326a53907abe886cb9c6ebeb2520733aee4a">IT_16BIT</a>, 
<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326aa5194f6b6d409b1b20f91adf989ef329">IT_32BIT</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> =  1, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> =  2, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> =  4, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> =  5, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> =  6, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  14
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enums describing buffer usage; not mutually exclusive.  <a href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> { <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Locking options.  <a href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a17e622be7c689d6093d5705f944d6515">DefaultHardwareIndexBuffer</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a> idxType, size_t numIndexes, <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#ac5c21c1c2b849c6e562539b486d24b06">~DefaultHardwareIndexBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a6889643eecbb00da9ae4c13042c28a42">readData</a> (size_t offset, size_t length, void *pDest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#a6889643eecbb00da9ae4c13042c28a42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#af483fb9a4dad86099af6ab2c9c8f24dd">writeData</a> (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#af483fb9a4dad86099af6ab2c9c8f24dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a377ec1f48ea9a94ae6c84010dd697618">lock</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing.  <a href="#a377ec1f48ea9a94ae6c84010dd697618"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a99e0bdf70d975699bffaf987a4616b3e">unlock</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing.  <a href="#a99e0bdf70d975699bffaf987a4616b3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a7f676fc66c7f4b0c9fc31800d021742e">getManager</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the manager of this buffer, if any.  <a href="#a7f676fc66c7f4b0c9fc31800d021742e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a3f2671fe0ad937070ea24d9bc7626cd3">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of indexes used in this buffer.  <a href="#a3f2671fe0ad937070ea24d9bc7626cd3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ab9e775a91b90c6bbac888d97fe51d9d2">getNumIndexes</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of indexes in this buffer.  <a href="#ab9e775a91b90c6bbac888d97fe51d9d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a294ab09e6caef25b3c42c277a5de95e1">getIndexSize</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the size in bytes of each index.  <a href="#a294ab09e6caef25b3c42c277a5de95e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a93b204642190e611bc226ea08d29160e">lock</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the entire buffer for (potentially) reading / writing.  <a href="#a93b204642190e611bc226ea08d29160e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">copyData</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy data from another buffer into this one.  <a href="#a721891f0c0bd391dd5848c8a585ba054"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a0bf3147b1f99a81dd84fb7b978c4686d">copyData</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;srcBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy all data from another buffer into this one.  <a href="#a0bf3147b1f99a81dd84fb7b978c4686d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the real buffer from the shadow buffer, if required.  <a href="#a344c52f2214eaff097d5fbc390e7684b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of this buffer in bytes.  <a href="#a1b1b5faf06139040824fd989d0b279f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">getUsage</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the Usage flags with which this buffer was created.  <a href="#a0e00770f5e9395e41b6520be8421a6c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this buffer is held in system memory.  <a href="#a61086322fba08abadf4fe6734a7c70f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this buffer has a system memory shadow for quicker reading.  <a href="#ad523887cfaa6abe48dd494a3ea06805a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not this buffer is currently locked.  <a href="#a3d5a62cbd76fc2ecd4e1a540bac5f9bc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a> (bool suppress)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> true to suppress hardware upload of shadow buffer changes.  <a href="#a688e1be4a913099ce5e06172771e2d45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#aa6fb414450d575e1ee37f3d72415da70">lockImpl</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#aa6fb414450d575e1ee37f3d72415da70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a5d2c3465f93214d1035ac698df6f4a65">unlockImpl</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#a5d2c3465f93214d1035ac698df6f4a65"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a4d403dfbe403dc22887b2834cd47b4cf">mData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#af67b89fb4d762d17da970269bcd9894a">mMgr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ad55227078ba92018afb29c98a1287eb6">mIndexType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a8dfffabc8a138184c98227c7ad4fe871">mNumIndexes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a55901ccfe05b1d3dc65be17174aae6ed">mIndexSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">mUsage</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">mLockStart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">mSystemMemory</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">mShadowBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">mShadowUpdated</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> for emulation. </p>

<p>Definition at line <a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html#l00073">73</a> of file <a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html">OgreDefaultHardwareBufferManager.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a25ba4923e015d46de162f7cc4c256326"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::IndexType" ref="a25ba4923e015d46de162f7cc4c256326" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">Ogre::HardwareIndexBuffer::IndexType</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a25ba4923e015d46de162f7cc4c256326a53907abe886cb9c6ebeb2520733aee4a"></a><!-- doxytag: member="IT_16BIT" ref="a25ba4923e015d46de162f7cc4c256326a53907abe886cb9c6ebeb2520733aee4a" args="" -->IT_16BIT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a25ba4923e015d46de162f7cc4c256326aa5194f6b6d409b1b20f91adf989ef329"></a><!-- doxytag: member="IT_32BIT" ref="a25ba4923e015d46de162f7cc4c256326aa5194f6b6d409b1b20f91adf989ef329" args="" -->IT_32BIT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00049">49</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aac34930556f611928ec9157c04bd1b0f"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::LockOptions" ref="aac34930556f611928ec9157c04bd1b0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">Ogre::HardwareBuffer::LockOptions</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Locking options. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e"></a><!-- doxytag: member="HBL_NORMAL" ref="aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e" args="" -->HBL_NORMAL</em>&nbsp;</td><td>
<p>Normal mode, ie allows read/write and contents are preserved. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae"></a><!-- doxytag: member="HBL_DISCARD" ref="aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae" args="" -->HBL_DISCARD</em>&nbsp;</td><td>
<p>Discards the <em>entire</em> buffer while locking; this allows optimisation to be performed because synchronisation issues are relaxed. </p>
<p>Only allowed on buffers created with the HBU_DYNAMIC flag. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288"></a><!-- doxytag: member="HBL_READ_ONLY" ref="aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288" args="" -->HBL_READ_ONLY</em>&nbsp;</td><td>
<p>Lock the buffer for reading only. </p>
<p>Not allowed in buffers which are created with HBU_WRITE_ONLY. Mandatory on static buffers, i.e. those created without the HBU_DYNAMIC flag. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a"></a><!-- doxytag: member="HBL_NO_OVERWRITE" ref="aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a" args="" -->HBL_NO_OVERWRITE</em>&nbsp;</td><td>
<p>As HBL_NORMAL, except the application guarantees not to overwrite any region of the buffer which has already been used in this frame, can allow some optimisation on some APIs. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00121">121</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::Usage" ref="ae51f5970d879af736e4cf53e1ec46630" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Ogre::HardwareBuffer::Usage</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enums describing buffer usage; not mutually exclusive. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb"></a><!-- doxytag: member="HBU_STATIC" ref="ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb" args="" -->HBU_STATIC</em>&nbsp;</td><td>
<p>Static buffer which the application rarely modifies once created. </p>
<p>Modifying the contents of this buffer will involve a performance hit. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518"></a><!-- doxytag: member="HBU_DYNAMIC" ref="ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518" args="" -->HBU_DYNAMIC</em>&nbsp;</td><td>
<p>Indicates the application would like to modify this buffer with the CPU fairly often. </p>
<p>Buffers created with this flag will typically end up in AGP memory rather than video memory. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2"></a><!-- doxytag: member="HBU_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2" args="" -->HBU_WRITE_ONLY</em>&nbsp;</td><td>
<p>Indicates the application will never read the contents of the buffer back, it will only ever write data. </p>
<p>Locking a buffer with this flag will ALWAYS return a pointer to new, blank memory rather than the memory associated with the contents of the buffer; this avoids DMA stalls because you can write to a new memory area while the previous one is being used. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f"></a><!-- doxytag: member="HBU_DISCARDABLE" ref="ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f" args="" -->HBU_DISCARDABLE</em>&nbsp;</td><td>
<p>Indicates that the application will be refilling the contents of the buffer regularly (not just updating, but generating the contents from scratch), and therefore does not mind if the contents of the buffer are lost somehow and need to be recreated. </p>
<p>This allows and additional level of optimisation on the buffer. This option only really makes sense when combined with HBU_DYNAMIC_WRITE_ONLY. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996"></a><!-- doxytag: member="HBU_STATIC_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" args="" -->HBU_STATIC_WRITE_ONLY</em>&nbsp;</td><td>
<p>Combination of HBU_STATIC and HBU_WRITE_ONLY. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY" ref="ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c" args="" -->HBU_DYNAMIC_WRITE_ONLY</em>&nbsp;</td><td>
<p>Combination of HBU_DYNAMIC and HBU_WRITE_ONLY. </p>
<p>If you use this, strongly consider using HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE instead if you update the entire contents of the buffer very regularly. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE" ref="ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516" args="" -->HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</em>&nbsp;</td><td>
<p>Combination of HBU_DYNAMIC, HBU_WRITE_ONLY and HBU_DISCARDABLE. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00079">79</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a17e622be7c689d6093d5705f944d6515"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::DefaultHardwareIndexBuffer" ref="a17e622be7c689d6093d5705f944d6515" args="(IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a17e622be7c689d6093d5705f944d6515">Ogre::DefaultHardwareIndexBuffer::DefaultHardwareIndexBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a>&#160;</td>
          <td class="paramname"><em>idxType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numIndexes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac5c21c1c2b849c6e562539b486d24b06"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::~DefaultHardwareIndexBuffer" ref="ac5c21c1c2b849c6e562539b486d24b06" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#ac5c21c1c2b849c6e562539b486d24b06">Ogre::DefaultHardwareIndexBuffer::~DefaultHardwareIndexBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a344c52f2214eaff097d5fbc390e7684b"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::_updateFromShadow" ref="a344c52f2214eaff097d5fbc390e7684b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBuffer.html#a344c52f2214eaff097d5fbc390e7684b">Ogre::HardwareBuffer::_updateFromShadow</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates the real buffer from the shadow buffer, if required. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESHardwareVertexBuffer.html#a1fa2087b5fcb52dc7990caf4a8df7564">Ogre::GLESHardwareVertexBuffer</a>, <a class="el" href="classOgre_1_1GLES2HardwareVertexBuffer.html#a0c195f00d7faf0c4f2a69a9f266dd1e7">Ogre::GLES2HardwareVertexBuffer</a>, <a class="el" href="classOgre_1_1GLESHardwareIndexBuffer.html#afcdd7d1a479f5db770472339215dc680">Ogre::GLESHardwareIndexBuffer</a>, <a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#ad3219addcfdce2d004259d77030197fb">Ogre::GLES2HardwareIndexBuffer</a>, <a class="el" href="classOgre_1_1GLHardwareVertexBuffer.html#a770bdaf9b841a146c1f9254129d26a03">Ogre::GLHardwareVertexBuffer</a>, and <a class="el" href="classOgre_1_1GLHardwareIndexBuffer.html#a2e41fb0146913c740432a990b75216a5">Ogre::GLHardwareIndexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00303">303</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a721891f0c0bd391dd5848c8a585ba054"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::copyData" ref="a721891f0c0bd391dd5848c8a585ba054" args="(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">Ogre::HardwareBuffer::copyData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;&#160;</td>
          <td class="paramname"><em>srcBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>srcOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>dstOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>discardWholeBuffer</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy data from another buffer into this one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that the source buffer must not be created with the usage HBU_WRITE_ONLY otherwise this will fail. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">srcBuffer</td><td>The buffer from which to read the copied data </td></tr>
    <tr><td class="paramname">srcOffset</td><td>Offset in the source buffer at which to start reading </td></tr>
    <tr><td class="paramname">dstOffset</td><td>Offset in the destination buffer to start writing </td></tr>
    <tr><td class="paramname">length</td><td>Length of the data to copy, in bytes. </td></tr>
    <tr><td class="paramname">discardWholeBuffer</td><td>If true, will discard the entire contents of this buffer before copying </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D11HardwareBuffer.html#a09a5a1ce569c36ad6b180b9cb3ebb67d">Ogre::D3D11HardwareBuffer</a>, <a class="el" href="classOgre_1_1D3D11HardwareIndexBuffer.html#aa7657864dada56b4849b556ffb5da86e">Ogre::D3D11HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#aeeb8e6df6043a3d77ae487f7a1f6ed86">Ogre::D3D11HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00282">282</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareBuffer_8h_source.html#l00181">Ogre::HardwareBuffer::lock()</a>, and <a class="el" href="OgreHardwareBuffer_8h_source.html#l00234">Ogre::HardwareBuffer::unlock()</a>.</p>

</div>
</div>
<a class="anchor" id="a0bf3147b1f99a81dd84fb7b978c4686d"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::copyData" ref="a0bf3147b1f99a81dd84fb7b978c4686d" args="(HardwareBuffer &amp;srcBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">Ogre::HardwareBuffer::copyData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;&#160;</td>
          <td class="paramname"><em>srcBuffer</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy all data from another buffer into this one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Normally these buffers should be of identical size, but if they're not, the routine will use the smallest of the two sizes. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00296">296</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareBuffer_8h_source.html#l00328">Ogre::HardwareBuffer::getSizeInBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a294ab09e6caef25b3c42c277a5de95e1"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getIndexSize" ref="a294ab09e6caef25b3c42c277a5de95e1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a294ab09e6caef25b3c42c277a5de95e1">Ogre::HardwareIndexBuffer::getIndexSize</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the size in bytes of each index. </p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00072">72</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f676fc66c7f4b0c9fc31800d021742e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getManager" ref="a7f676fc66c7f4b0c9fc31800d021742e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a>* <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a7f676fc66c7f4b0c9fc31800d021742e">Ogre::HardwareIndexBuffer::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the manager of this buffer, if any. </p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00066">66</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab9e775a91b90c6bbac888d97fe51d9d2"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getNumIndexes" ref="ab9e775a91b90c6bbac888d97fe51d9d2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ab9e775a91b90c6bbac888d97fe51d9d2">Ogre::HardwareIndexBuffer::getNumIndexes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of indexes in this buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b1b5faf06139040824fd989d0b279f8"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getSizeInBytes" ref="a1b1b5faf06139040824fd989d0b279f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">Ogre::HardwareBuffer::getSizeInBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the size of this buffer in bytes. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00328">328</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareBuffer_8h_source.html#l00296">Ogre::HardwareBuffer::copyData()</a>.</p>

</div>
</div>
<a class="anchor" id="a3f2671fe0ad937070ea24d9bc7626cd3"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getType" ref="a3f2671fe0ad937070ea24d9bc7626cd3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a> <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a3f2671fe0ad937070ea24d9bc7626cd3">Ogre::HardwareIndexBuffer::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of indexes used in this buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00068">68</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0e00770f5e9395e41b6520be8421a6c8"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getUsage" ref="a0e00770f5e9395e41b6520be8421a6c8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> <a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">Ogre::HardwareBuffer::getUsage</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the Usage flags with which this buffer was created. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00330">330</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad523887cfaa6abe48dd494a3ea06805a"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::hasShadowBuffer" ref="ad523887cfaa6abe48dd494a3ea06805a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">Ogre::HardwareBuffer::hasShadowBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this buffer has a system memory shadow for quicker reading. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00334">334</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3d5a62cbd76fc2ecd4e1a540bac5f9bc"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::isLocked" ref="a3d5a62cbd76fc2ecd4e1a540bac5f9bc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">Ogre::HardwareBuffer::isLocked</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not this buffer is currently locked. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D11HardwareIndexBuffer.html#adac787fa08937bedd31f28b4e6e2f4db">Ogre::D3D11HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D11HardwareVertexBuffer.html#a07eb73edad0bb070f978ad4d6d40e5b8">Ogre::D3D11HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00336">336</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a61086322fba08abadf4fe6734a7c70f7"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::isSystemMemory" ref="a61086322fba08abadf4fe6734a7c70f7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">Ogre::HardwareBuffer::isSystemMemory</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this buffer is held in system memory. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00332">332</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a377ec1f48ea9a94ae6c84010dd697618"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lock" ref="a377ec1f48ea9a94ae6c84010dd697618" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a377ec1f48ea9a94ae6c84010dd697618">Ogre::DefaultHardwareIndexBuffer::lock</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#ab1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a93b204642190e611bc226ea08d29160e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lock" ref="a93b204642190e611bc226ea08d29160e" args="(LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1HardwareBuffer.html#ab1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer::lock</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock the entire buffer for (potentially) reading / writing. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">options</td><td>Locking options </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the locked memory </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00218">218</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa6fb414450d575e1ee37f3d72415da70"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lockImpl" ref="aa6fb414450d575e1ee37f3d72415da70" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#aa6fb414450d575e1ee37f3d72415da70">Ogre::DefaultHardwareIndexBuffer::lockImpl</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a59021d471dfa4598bd1a98d6982ac558">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6889643eecbb00da9ae4c13042c28a42"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::readData" ref="a6889643eecbb00da9ae4c13042c28a42" args="(size_t offset, size_t length, void *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a6889643eecbb00da9ae4c13042c28a42">Ogre::DefaultHardwareIndexBuffer::readData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a552f466b57ba77f29e083266d4688765">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a688e1be4a913099ce5e06172771e2d45"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::suppressHardwareUpdate" ref="a688e1be4a913099ce5e06172771e2d45" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">Ogre::HardwareBuffer::suppressHardwareUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppress</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> true to suppress hardware upload of shadow buffer changes. </p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00340">340</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a99e0bdf70d975699bffaf987a4616b3e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::unlock" ref="a99e0bdf70d975699bffaf987a4616b3e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a99e0bdf70d975699bffaf987a4616b3e">Ogre::DefaultHardwareIndexBuffer::unlock</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#a64ddd429ff2c8ac4f0cca5decb5c6757">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a5d2c3465f93214d1035ac698df6f4a65"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::unlockImpl" ref="a5d2c3465f93214d1035ac698df6f4a65" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a5d2c3465f93214d1035ac698df6f4a65">Ogre::DefaultHardwareIndexBuffer::unlockImpl</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a82ec5566379a4c76fea8b68d55ee9d6f">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="af483fb9a4dad86099af6ab2c9c8f24dd"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::writeData" ref="af483fb9a4dad86099af6ab2c9c8f24dd" args="(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#af483fb9a4dad86099af6ab2c9c8f24dd">Ogre::DefaultHardwareIndexBuffer::writeData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>discardWholeBuffer</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#a8c313688a0df3c28a36738c31fcbc3ee">Ogre::HardwareBuffer</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4d403dfbe403dc22887b2834cd47b4cf"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mData" ref="a4d403dfbe403dc22887b2834cd47b4cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char* <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a4d403dfbe403dc22887b2834cd47b4cf">Ogre::DefaultHardwareIndexBuffer::mData</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html#l00076">76</a> of file <a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html">OgreDefaultHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55901ccfe05b1d3dc65be17174aae6ed"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIndexSize" ref="a55901ccfe05b1d3dc65be17174aae6ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a55901ccfe05b1d3dc65be17174aae6ed">Ogre::HardwareIndexBuffer::mIndexSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00058">58</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad55227078ba92018afb29c98a1287eb6"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIndexType" ref="ad55227078ba92018afb29c98a1287eb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a> <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ad55227078ba92018afb29c98a1287eb6">Ogre::HardwareIndexBuffer::mIndexType</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00056">56</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25edb91791e48a7cc9ba2fb05f11bd33"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIsLocked" ref="a25edb91791e48a7cc9ba2fb05f11bd33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">Ogre::HardwareBuffer::mIsLocked</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00143">143</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac96a7a04f4e29d8d00117a80d9a1c9a0"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mLockSize" ref="ac96a7a04f4e29d8d00117a80d9a1c9a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">Ogre::HardwareBuffer::mLockSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00145">145</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a272cf9751affd73ea03930153357930b"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mLockStart" ref="a272cf9751affd73ea03930153357930b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">Ogre::HardwareBuffer::mLockStart</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00144">144</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af67b89fb4d762d17da970269bcd9894a"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mMgr" ref="af67b89fb4d762d17da970269bcd9894a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a>* <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#af67b89fb4d762d17da970269bcd9894a">Ogre::HardwareIndexBuffer::mMgr</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8dfffabc8a138184c98227c7ad4fe871"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mNumIndexes" ref="a8dfffabc8a138184c98227c7ad4fe871" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a8dfffabc8a138184c98227c7ad4fe871">Ogre::HardwareIndexBuffer::mNumIndexes</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h_source.html#l00057">57</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7af816828af5aceb84033a9e101efb6"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mShadowBuffer" ref="aa7af816828af5aceb84033a9e101efb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a>* <a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">Ogre::HardwareBuffer::mShadowBuffer</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00148">148</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a68127e87e132304c7655df554a82110c"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mShadowUpdated" ref="a68127e87e132304c7655df554a82110c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">Ogre::HardwareBuffer::mShadowUpdated</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00149">149</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa8fecea9221ffacaae2f1fdea38558da"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSizeInBytes" ref="aa8fecea9221ffacaae2f1fdea38558da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">Ogre::HardwareBuffer::mSizeInBytes</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00141">141</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a47e53af2e87624c42ab934766bf65fca"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSuppressHardwareUpdate" ref="a47e53af2e87624c42ab934766bf65fca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">Ogre::HardwareBuffer::mSuppressHardwareUpdate</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00150">150</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af97b321278124803d13b700a46657ecb"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSystemMemory" ref="af97b321278124803d13b700a46657ecb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">Ogre::HardwareBuffer::mSystemMemory</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00146">146</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2eb83f024781415a7fefb31f65a255c2"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mUsage" ref="a2eb83f024781415a7fefb31f65a255c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> <a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">Ogre::HardwareBuffer::mUsage</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00142">142</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2caed02d4c9ad400d020ea8b0b24adf4"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mUseShadowBuffer" ref="a2caed02d4c9ad400d020ea8b0b24adf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">Ogre::HardwareBuffer::mUseShadowBuffer</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h_source.html#l00147">147</a> of file <a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDefaultHardwareBufferManager_8h_source.html">OgreDefaultHardwareBufferManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
